Bug 1035446 - Wired connection not automatically connecting
Wired connection not automatically connecting
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
20
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-27 14:34 EST by Havoc Pennington
Modified: 2015-06-29 09:13 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 09:13:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Havoc Pennington 2013-11-27 14:34:05 EST
Autoconnect on plugging in ethernet cable didn't work for me on fresh install of F20 beta.

Description of problem:

I just did a fresh install of F20 beta on a T440s. I installed over wifi, then rebooted and eventually plugged in an ethernet cable. The wired connection didn't come up until I manually toggled it in the gnome network settings thingy. When I unplugged and replugged (many times) it did not ever come up automatically on plugging in the cable.

I opened nm-connection-editor and "automatically connect to this network when it is available" was not checked, so I checked that and it now works as I would expect and as it used to. So it seems like that option was off by default. This option is buried in nm-connection-editor and not available in the regular GNOME settings so most people wouldn't find it though.

Version-Release number of selected component (if applicable):

Name        : NetworkManager
Epoch       : 1
Version     : 0.9.9.0
Release     : 19.git20131003.fc20
Architecture: x86_64
Install Date: Tue 26 Nov 2013 12:35:05 AM EST

How reproducible:

If this doesn't happen always, I have no real idea why it happened to me; "weird" stuff I can think of is that this is a new laptop model (T440s) and that I installed over wifi. Also, at one point during the install I got a dialog re-requesting the wifi password, though I can't imagine that matters.
Comment 1 Ferry Huberts 2013-12-05 11:04:04 EST
I don't have this problem on my T440s, I'm on F19, upgraded from F18. BIOS 2.14
Comment 2 Fedora End Of Life 2015-05-29 05:52:08 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2015-06-29 09:13:50 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.